description

# MapEntry<K, V> class Null safety

A key/value pair representing an entry in a Map.

## Constructors

MapEntry(K key, V value)
  Creates an entry with `key` and `value`.
  const
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
key → K
  The key of the entry.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
value → V
  The value associated to key in the map.
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited